%global tarname 128143-faenza

Name:           faenza-icon-theme
Version:        0.6
Release:        1%{?dist}
Summary:        Icon theme designed for Equinox GTK theme

Group:          User Interface/Desktops 
License:        GPL+
URL:            http://gnome-look.org/content/show.php/Faenza?content=128143
Source0:        http://www.deviantart.com/download/173323228/Faenza_Icons_by_tiheum.zip
BuildArch:      noarch

%description
Contains icons for Equinox GTK theme

%prep
%setup -q -c %{tarname}-%{version} 
tar xf Faenza.tar.gz
tar xf Faenza-Dark.tar.gz

%build

%install
rm -rf $RPM_BUILD_ROOT
cd ./Faenza/places/scalable/ && ln -sf distributor-logo-fedora.svg distributor-logo.svg && cd ../../..
cd ./Faenza/places/48/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/32/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/24/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/22/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/16/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Dark/ $RPM_BUILD_ROOT%{_datadir}/icons
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Dark/index.theme

%clean
rm -rf $RPM_BUILD_ROOT

%post  
touch --no-create %{_datadir}/icons/Faenza &>/dev/null ||:
touch --no-create %{_datadir}/icons/Faenza-Dark &>/dev/null ||:


%postun
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza &>/dev/null || : 
fi

if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza-Dark &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza-Dark &>/dev/null || : 
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Faenza &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Faenza-Dark &>/dev/null || :

%files
%defattr(-,root,root,-)
%{_datadir}/icons/Faenza/*
%{_datadir}/icons/Faenza-Dark/*
%doc COPYING.txt

%changelog
* Wed Aug 11 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.6-1
- New Version from upstream

* Tue Aug 10 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-5
- Cleaned up files macro
- Modified install macro  with -a option to keep timestamps on files

* Mon Aug 09 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-4
- Version number comes from URL
- made corrections to prep macro 

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@arhclinux.us> - 0.5-3
- Corrected version number
- Added scriplet
- Corrected unused of macro

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-2
- added global tarname macro
- Corrected the License 
- made corrections to scriplets
- deleted redundant characters
- changed permission issues to satisfy rpmlint errors

* Thu Aug 05 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-1
- Intial RPM release
